#
# Crosscompiling to windows
#
# install mingw
# $ sudo apt-get install mingw-w64 mingw-w64-tools
#
# locate mingw linkers SEARCH_DIR
# $ x86_64-w64-mingw32-ld --verbose | grep SEARCH_DIR
#
# create there a symlink to BearLibTerminal.dll
# $ cd /path/to/mingw32/dlls && sudo ln -s /path/to/BearLibTerminal.dll .
# Ususally you must place symlink to where mingw stores windows dlls, ie
# /usr/x86_64-w64-mingw32/lib


# the build command
GOOS=windows GOARCH=amd64 CGO_ENABLED=1 CC=x86_64-w64-mingw32-gcc CXX=x86_64-w64-mingw32-g++ go build -o ./dist/win64/alchemyst.exe
