package itemprops

import "github.com/shopspring/decimal"

type ArmorProfile struct {
    LayerExtra  Armored
    LayerOuter  Armored
    LayerMiddle Armored
    LayerInner  Armored
}

type Armored struct {
    ItemPhysics
    Coverage Coverage
}

//Coverage is set of partial coverage from 0 to 1 (0 to 100%)
type Coverage struct {
    Frontal decimal.Decimal
    Rear    decimal.Decimal
}
